Public Member Functions | Public Attributes | List of all members
librevenge::RVNGBinaryDataImpl Struct Reference

## Public Member Functions
| RVNGBinaryDataImpl ()
void | makeUnique ()

## Public Attributes
boost::shared_ptr< DataImpl > | m_ptr

## Constructor & Destructor Documentation

## ◆ RVNGBinaryDataImpl()

librevenge::RVNGBinaryDataImpl::RVNGBinaryDataImpl | ( |  | ) |

## Member Function Documentation

## ◆ makeUnique()

void librevenge::RVNGBinaryDataImpl::makeUnique | ( |  | ) |

Referenced by librevenge::RVNGBinaryData::append(), and librevenge::RVNGBinaryData::clear().

## Member Data Documentation

## ◆ m_ptr

boost::shared_ptr<DataImpl> librevenge::RVNGBinaryDataImpl::m_ptr

Referenced by librevenge::RVNGBinaryData::append(), librevenge::RVNGBinaryData::clear(), librevenge::RVNGBinaryData::empty(), librevenge::RVNGBinaryData::getBase64Data(), librevenge::RVNGBinaryData::getDataBuffer(), librevenge::RVNGBinaryData::getDataStream(), makeUnique(), librevenge::RVNGBinaryData::operator=(), librevenge::RVNGBinaryData::RVNGBinaryData(), and librevenge::RVNGBinaryData::size().

The documentation for this struct was generated from the following file:

- RVNGBinaryData.cpp